Debian Bug report logs - #529901
anubis: Uses deprecated gnutls-config script to search for libgnutls(-extra/-openssl)

version graph

Package: anubis; Maintainer for anubis is Krzysztof Burghardt <krzysztof@burghardt.pl>; Source for anubis is src:anubis.

Reported by: Andreas Metzler <ametzler@downhill.at.eu.org>

Date: Fri, 22 May 2009 07:48:02 UTC

Severity: serious

Tags: patch

Found in version anubis/4.1.1+dfsg1-1

Fixed in version anubis/4.1.1+dfsg1-2

Done: Krzysztof Burghardt <krzysztof@burghardt.pl>

Bug is archived. No further changes may be made.

Forwarded to http://savannah.gnu.org/bugs/?26851

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#529901; Package anubis. (Fri, 22 May 2009 07:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
New Bug report received and forwarded. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Fri, 22 May 2009 07:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: anubis: Uses deprecated gnutls-config script to search for libgnutls(-extra/-openssl)
Date: Fri, 22 May 2009 09:46:58 +0200
Package: anubis
Version: 4.1.1+dfsg1-1
Severity: important

The package's ./configure script is trying to invoke libgnutls-config
and/or libgnutls-extra-config to search for the gnutls library. Newer
versions of gnutls do not ship these scripts anymore.

The second release candidata of gnutls 2.8 (2.7.12) is available for
testing in Debian/experimental.

Please use another way to search for the gnutls library, e.g.
pkg-config or AC_LIB_HAVE_LINKFLAGS or AC_CHECK_FUNCS. For packages
that already use pkg-config to search for other libraries, pkg-config
will probably be the simplest way. Debian's gnutls packages have
shipped the necessary .pc files since version 0.3.5-1 (June 2006).

This package does not actually FTBFS with newer versions of gnutls.
Instead it is simply built without gnutls support.

cu andreas




Noted your statement that Bug has been forwarded to http://savannah.gnu.org/bugs/?26851. Request was from Andreas Metzler <ametzler@debian.org> to control@bugs.debian.org. (Sat, 20 Jun 2009 09:57:03 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Andreas Metzler <ametzler@downhill.at.eu.org> to control@bugs.debian.org. (Sun, 16 Aug 2009 07:42:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#529901; Package anubis. (Wed, 19 Aug 2009 03:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <a.kumar@alumni.iitm.ac.in>:
Extra info received and forwarded to list. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Wed, 19 Aug 2009 03:24:04 GMT) Full text and rfc822 format available.

Message #14 received at 529901@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <a.kumar@alumni.iitm.ac.in>
To: 529901@bugs.debian.org
Cc: 529901-submitter@bugs.debian.org
Subject: Patch to fix anubis FTBFS
Date: Tue, 18 Aug 2009 22:19:25 -0500
[Message part 1 (text/plain, inline)]
tags 529901 + patch
thanks

Please find attached a simple patch to fix anubis from building
incorrectly due to not detecting gnutls properly.

HTH.

Kumar
[anubis_gnutls_fix.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Kumar Appaiah <a.kumar@alumni.iitm.ac.in> to control@bugs.debian.org. (Wed, 19 Aug 2009 03:24:08 GMT) Full text and rfc822 format available.

Message sent on to Andreas Metzler <ametzler@downhill.at.eu.org>:
Bug#529901. (Wed, 19 Aug 2009 03:24:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Thu, 20 Aug 2009 18:36:19 GMT) Full text and rfc822 format available.

Reply sent to Krzysztof Burghardt <krzysztof@burghardt.pl>:
You have taken responsibility. (Fri, 28 Aug 2009 10:39:26 GMT) Full text and rfc822 format available.

Notification sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Bug acknowledged by developer. (Fri, 28 Aug 2009 10:39:26 GMT) Full text and rfc822 format available.

Message #26 received at 529901-close@bugs.debian.org (full text, mbox):

From: Krzysztof Burghardt <krzysztof@burghardt.pl>
To: 529901-close@bugs.debian.org
Subject: Bug#529901: fixed in anubis 4.1.1+dfsg1-2
Date: Fri, 28 Aug 2009 10:04:09 +0000
Source: anubis
Source-Version: 4.1.1+dfsg1-2

We believe that the bug you reported is fixed in the latest version of
anubis, which is due to be installed in the Debian FTP archive:

anubis_4.1.1+dfsg1-2.diff.gz
  to pool/main/a/anubis/anubis_4.1.1+dfsg1-2.diff.gz
anubis_4.1.1+dfsg1-2.dsc
  to pool/main/a/anubis/anubis_4.1.1+dfsg1-2.dsc
anubis_4.1.1+dfsg1-2_amd64.deb
  to pool/main/a/anubis/anubis_4.1.1+dfsg1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 529901@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Krzysztof Burghardt <krzysztof@burghardt.pl> (supplier of updated anubis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 20 Aug 2009 21:03:03 +0200
Source: anubis
Binary: anubis
Architecture: source amd64
Version: 4.1.1+dfsg1-2
Distribution: unstable
Urgency: low
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Changed-By: Krzysztof Burghardt <krzysztof@burghardt.pl>
Description: 
 anubis     - an SMTP message submission daemon
Closes: 529901
Changes: 
 anubis (4.1.1+dfsg1-2) unstable; urgency=low
 .
   * Switched to pkg-config for gnutls detection (Closes: #529901)
   * Enabled Perl-style regular expressions, PAM support and TCP wrapper
   * Bumped Standards-Version: to 3.8.3 (no changes needed)
Checksums-Sha1: 
 b67b266b4a3058888a9a6deafcfb0ddf467029fb 1193 anubis_4.1.1+dfsg1-2.dsc
 494ff03a625e6673ddd7ebdee3a282c7f2281b40 9051 anubis_4.1.1+dfsg1-2.diff.gz
 6b572ca0e13fc431d16bc77c5c39f93679984d5c 267674 anubis_4.1.1+dfsg1-2_amd64.deb
Checksums-Sha256: 
 ab757cd0142c7e1502d0aefbf0729551e621bf15db862e9f2ae461d2bd30c8ec 1193 anubis_4.1.1+dfsg1-2.dsc
 d3155b8dba55806031f367e500fa5c5392ab0ff111f9834ea65e4f3ac756ddc1 9051 anubis_4.1.1+dfsg1-2.diff.gz
 132bc3a48eb887a4bfbf85ed9609e31ff2162dbcaa4d1e950419a4c25a92c882 267674 anubis_4.1.1+dfsg1-2_amd64.deb
Files: 
 1cea6b82de64a0ed495396cbb726af69 1193 net optional anubis_4.1.1+dfsg1-2.dsc
 9d79b03e67f715c0c6abfb125e78c25c 9051 net optional anubis_4.1.1+dfsg1-2.diff.gz
 0444b410bb71d5f9e64bb2a80a2fb8f2 267674 net optional anubis_4.1.1+dfsg1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqXk1MACgkQbMaawmho9B87ZgCghM7+FkxHwJM5lD4GX00dO8VM
Je8An20FzM1coqA5+DI3uVeZ+lPoEyq/
=e8J+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Sep 2009 07:27:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:49:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.